From 1bd502d89379471d41e10483de3f32d5cd4c0fa9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 03:54:13 +0000
Subject: [PATCH 947/2232] Add documentation of cxx::kind module


---

diff --git a/src/extern_type.rs b/src/extern_type.rs
index d35b690..498a558 100644
--- a/src/extern_type.rs
+++ b/src/extern_type.rs
@@ -94,6 +94,8 @@
 /// # fn main() {}
 /// ```
 ///
+/// <br><br>
+///
 /// ## Opaque and Trivial types
 ///
 /// Some C++ types are safe to hold and pass around in Rust, by value.
@@ -135,6 +137,13 @@ pub unsafe trait ExternType {
     type Kind;
 }
 
+/// Marker types identifying Rust's knowledge about an extern C++ type.
+///
+/// These markers are used in the `Kind` associated type in impls of the
+/// [`ExternType`] trait. Refer to the discussion of [Opaque and Trivial
+/// types][trait] for an overview of their purpose.
+///
+/// [trait]: ExternType#opaque-and-trivial-types
 pub mod kind {
     /// An opaque type which can't be passed or held by value within Rust.
     /// For example, a C++ type with a destructor, or a non-trivial move

